Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# Address

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.Address

## Class Overview

Parcelable representing an address.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<Address> | CREATOR |

Public Methods
int | describeContents()
String | getAddress1()
String | getAddress2()
String | getAddress3()
String | getCity()
String | getCompanyName()
String | getCountryCode()
String | getName()
String | getPhoneNumber()
String | getPostalCode()
String | getState()
int | getVersionCode()
boolean | isPostBox()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<Address> CREATOR

## Public Methods

#### public int describeContents ()

#### public String getAddress1 ()

##### Returns

- The first line of the address. If omitted, defaults to "".

#### public String getAddress2 ()

##### Returns

- The second line of the address. If omitted, defaults to "".

#### public String getAddress3 ()

##### Returns

- The third line of the address. If omitted, defaults to "".

#### public String getCity ()

##### Returns

- The city. If omitted, defaults to "".

#### public String getCompanyName ()

##### Returns

- The company name of the address. If omitted, defaults to "".

#### public String getCountryCode ()

##### Returns

- The ISO-3166 country code. If omitted, defaults to "".

#### public String getName ()

##### Returns

- Name of the person at this address. This is the name on the credit card for a billing address or a recipient for a shipping address. If omitted, defaults to "".

#### public String getPhoneNumber ()

##### Returns

- The billing phone number associated with the address. Will only be returned if requested in the `MaskedWalletRequest`. Note: This could be an international phone number. If omitted, defaults to "".

#### public String getPostalCode ()

##### Returns

- The postal code. If omitted, defaults to "".

#### public String getState ()

##### Returns

- The state. If omitted, defaults to "".

#### public int getVersionCode ()

#### public boolean isPostBox ()

##### Returns

- Whether the address is a post box or not.

#### public void writeToParcel (Parcel out, int flags)